#!/bin/bash

PWD="pwd"
#GLITE-WMS-JOB-STATUS="/opt/glite/bin/glite-wms-job-status"
CAT="/bin/cat"
GREP="/bin/grep"
WC="/usr/bin/wc"
AWK="/bin/awk"
SDIFF="/usr/bin/sdiff"
SED="/bin/sed"
MAIL="/bin/mail"
DATE="/bin/date"
FMT="/usr/bin/fmt"
TAIL="/usr/bin/tail"
CAL="/usr/bin/cal"
EXPR="/usr/bin/expr"
CP="/bin/cp"
RM="/bin/rm"

DATA_ACTUAL=`$DATE +%s`

NUMBER=`$CAT $HOME/.email/jobs_done.txt | $WC -l`
$CAL `$DATE '+%m'` `$DATE '+%Y'` | $GREP . | $FMT -1 | $TAIL -1 > $HOME/.email/dias_mes.tmp
DIAS_MES=`$CAT $HOME/.email/dias_mes.tmp`

SEGUNDOS=`$EXPR $DIAS_MES "*" 86400`
i=1

let NUMBER=$NUMBER-1

`$CP -f $HOME/.email/jobs_done.txt $HOME/.email/jobs_done.tmp`

while [ $i -le $NUMBER ]; do
	`$SED -n ''$i' p' $HOME/.email/jobs_done.txt > $HOME/.email/job_done_tmp`
        DATA_JOB=`$AWK '{gsub(/^[ \t]+|[ \t]+$/,"");print $3}' $HOME/.email/job_done_tmp`
	let DATA_JOB_SUM=$DATA_JOB+$SEGUNDOS

	if [ $DATA_JOB_SUM -lt $DATA_ACTUAL ]; then
		`$AWK '{if(NR!='$i')print $a;else{print "";}'} $HOME/.email/jobs_done.tmp > $HOME/.email/jobs_done.txt`
	fi

	let i=$i+1
done

`$CP $HOME/.email/jobs_done.txt $HOME/.email/jobs_done.tmp`
`$CAT $HOME/.email/jobs_done.tmp | $AWK '$0!~/^$/ {print $0}' > $HOME/.email/jobs_done.txt`

`$RM -f $HOME/.email/jobs_done.tmp`
