#!/bin/bash -l

PWD=`pwd`
GLITE_WMS_JOB_STATUS="/opt/glite/bin/glite-wms-job-status"
#export GLITE_WMS_LOCATION=/opt/glite
CAT="/bin/cat"
GREP="/bin/grep"
WC="/usr/bin/wc"
AWK="/bin/awk"
SDIFF="/usr/bin/sdiff"
SED="/bin/sed"
MAIL="/bin/mail"
ECHO="/bin/echo"
DATE="/bin/date"
EMAIL="email.txt"

email=`cat $HOME/.email/email.txt`

`$GLITE_WMS_JOB_STATUS -all > $HOME/.email/jobs_all.txt`

number=`$CAT $HOME/.email/jobs_all.txt | $GREP "Status info for the Job" | $WC -l`

`$CAT $HOME/.email/jobs_all.txt | $GREP "Status info for the Job" | $AWK '{print $7}' > $HOME/.email/jobs.txt`
`$CAT $HOME/.email/jobs_all.txt | $GREP "Current Status:" | $AWK '{print $3}' > $HOME/.email/jobs_status.txt`

`$SDIFF $HOME/.email/jobs.txt $HOME/.email/jobs_status.txt > $HOME/.email/jobs_merged.txt`
i=1

while [ $i -le $number ]; do
	`$SED -n ''$i' p' $HOME/.email/jobs_merged.txt > $HOME/.email/job_tmp`
	feito=`$AWK '{gsub(/^[ \t]+|[ \t]+$/,"");print $3}' $HOME/.email/job_tmp`
	job=`$AWK '{gsub(/^[ \t]+|[ \t]+$/,"");print $1}' $HOME/.email/job_tmp` 

	grep_out=`$GREP $job $HOME/.email/jobs_done.txt`
	
	if [ "$grep_out" != "" ]; then
		$ECHO hola > /dev/null
	elif [ $feito = "Done" ]; then		
		$ECHO "$job | `$DATE +%s`" >> $HOME/.email/jobs_done.txt
		$ECHO "El trabajo $job ha terminado satisfactoriamente su ejecucion." | $MAIL -s "Aviso fin de trabajo en FORMIGA" $email 
	fi
	let i=$i+1
done
